package com.ejie.m62fb.model.tipos;

public class TipoAcceso extends AbstractTipoGenericoR09 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final String NUM_REGISTRO = R09Tipos.TIPO_ACCESO;

	/**
	 * Method 'TipoAcceso'.
	 */
	public TipoAcceso() {
		super(TipoAcceso.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoAcceso'.
	 * 
	 * @param idElereg
	 *            String
	 */
	public TipoAcceso(String idElereg) {
		super(TipoAcceso.NUM_REGISTRO, idElereg);
	}

	/**
	 * Method 'TipoAcceso'.
	 * 
	 * @param idElereg
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoAcceso(String idElereg, String descripcionEs,
			String descripcionEu) {
		super(TipoAcceso.NUM_REGISTRO, idElereg, descripcionEs, descripcionEu);
	}
}